View Issue Details

IDProjectCategoryView StatusLast Update
0001759SOGoBackend Calendarpublic2012-04-18 16:20
Reportermichal_b Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.14 
Fixed in Version1.3.15 
Summary0001759: SOGo always crashing when specific record in calendar is present - with RRULE
Description

I have finally identified records which caused my sogo "stack smashing" logs (see attachement) and crashing sogo without displaying any calendar events in SOGo web version.
I have had this issue for longer time and currently I have decided to identify records (from all 300 records) in my calendar with excluding method.

And finally here is example of that record:

BEGIN:VEVENT
CREATED:20110729T135030Z
LAST-MODIFIED:20100730T195829Z
UID:1819-4E32C900-2F5-2C08A280
SUMMARY:Birthday causin
RRULE:FREQ=YEARLY;BYMONTH=4
DTSTART:19860414T220000Z
DTEND:19860415T215900Z
X-IRMC-LUID:0000000002C1
END:VEVENT

especially line starting with "RRULE" caused it. If I have removed it from record or just removed ";BYMONTH=4" part, record will be imported successfully and also without crashing.

also same situation with crashing when the RRULE line looks like this:
RRULE:FREQ=YEARLY;BYMONTHDAY=14;BYMONTH=4

Please, where is the problem with that line itself? Can you fix that crashing? Probably my old cell phone (SonyEricsson W995) generates records with that line and during synchronization was this record uploaded to server side calednar.

I am using "sogo-1.3.14-1.centos6.i686" but this bug is also in all previous versions.

TagsNo tags attached.

Relationships

related to 0001772 closedludovic Importing recurring events from Outlook 2010 makes sogo to terminate 

Activities

2012-04-09 06:50

 

sogo.log (21,920 bytes)
ludovic

ludovic

2012-04-09 10:40

administrator   ~0003694

I've just tried to import (from SOGo's web interface) the event (by surrounding it with BEGIN:VCALENDAR and END:VCALENDAR tags) and it works as expected.

Do you have a clean example that you can't import?

I want the real ICS file, not modified in any way.

michal_b

michal_b

2012-04-09 10:48

reporter   ~0003695

Hello,
here you are complete example (example.ics) of that calendar. I have tried it right now and sogo immediately crashed.

2012-04-09 10:48

 

example.ics (1,619 bytes)   
BEGIN:VCALENDAR
PRODID:-//Mozilla.org/NONSGML Mozilla Calendar V1.1//EN
VERSION:2.0
BEGIN:VTIMEZONE
TZID:Europe/Bratislava
X-LIC-LOCATION:Europe/Bratislava
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
TZNAME:CEST
DTSTART:19700329T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
TZNAME:CET
DTSTART:19701025T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VTIMEZONE
TZID:Central Europe Standard Time
BEGIN:STANDARD
DTSTART:16011028T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:16010325T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VTIMEZONE
TZID:Africa/Lagos
X-LIC-LOCATION:Africa/Lagos
BEGIN:STANDARD
TZOFFSETFROM:+0100
TZOFFSETTO:+0100
TZNAME:WAT
DTSTART:19700101T000000
END:STANDARD
END:VTIMEZONE
BEGIN:VTIMEZONE
TZID:Europe/Paris
X-LIC-LOCATION:Europe/Paris
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
TZNAME:CEST
DTSTART:19700329T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
TZNAME:CET
DTSTART:19701025T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20110729T135030Z
LAST-MODIFIED:20100730T195829Z
UID:1819-4E32C900-2F5-2C08A280
SUMMARY:Birthday causin
RRULE:FREQ=YEARLY;BYMONTH=4
DTSTART:19860414T220000Z
DTEND:19860415T215900Z
X-IRMC-LUID:0000000002C1
END:VEVENT
END:VCALENDAR
example.ics (1,619 bytes)   
ludovic

ludovic

2012-04-09 10:51

administrator   ~0003696

I've just tried and it works as expected for me.

Try to run SOGo with only one process. Attach to the child process using gdb and produce a stack trace.

Install the SOPE/SOGo/GNUstep debugging symbols prior doing this.

michal_b

michal_b

2012-04-09 18:15

reporter   ~0003697

this is what you have asked for?

#0 0x004a4416 in __kernel_vsyscall ()
0000001 0x00d545bb in poll () from /lib/libc.so.6
0000002 0x01187510 in -[GSRunLoopCtxt pollUntil:within:] (self=0xa08127c, _cmd=0x1319df0, milliseconds=499, contexts=0xa14db44) at GSRunLoopCtxt.m:423
0000003 0x010bed73 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x9f5b284, _cmd=0x1319e10, mode=0x1319538, limit_date=0xa072234) at NSRunLoop.m:1198
0000004 0x010bf174 in -[NSRunLoop runMode:beforeDate:] (self=0x9f5b284, _cmd=0x7f25a8, mode=0x1319538, date=0xa072234) at NSRunLoop.m:1266
0000005 0x006d3450 in -[WOWatchDog run:argc:argv:] (self=0x9f62ba4, _cmd=0x7f2620, newAppName=0x8050280, newArgC=7, newArgV=0xbfb72194)
at WOWatchDogApplicationMain.m:922
0000006 0x006d3bdb in WOWatchDogApplicationMain (appName=0x8050280, argc=7, argv=0xbfb72194) at WOWatchDogApplicationMain.m:1028
0000007 0x080492e5 in main (argc=7, argv=0xbfb72194, env=0xbfb721b4) at sogod.m:53

2012-04-09 18:28

 

sogo-debug.log (18,788 bytes)
michal_b

michal_b

2012-04-09 18:29

reporter   ~0003698

OK, sorry, new complete debug output (probably the right - previous post ignore pls) attached as "sogo-debug.log"

ludovic

ludovic

2012-04-10 08:32

administrator   ~0003703

Please show us the exact list of installed SOPE and SOGo packages.

michal_b

michal_b

2012-04-10 08:37

reporter   ~0003704

here you are:
[user@gw ~]$ rpm -qa | grep sogo
sogo-debuginfo-1.3.14-1.centos6.i686
sogo-1.3.14-1.centos6.i686
[user@gw ~]$ rpm -qa | grep sope
sope49-xml-4.9-20120323_1664.el6.1.i686
sope49-ldap-4.9-20120323_1664.el6.1.i686
sope49-gdl1-mysql-4.9-20120323_1664.el6.1.i686
sope49-core-4.9-20120323_1664.el6.1.i686
sope49-gdl1-contentstore-1.3.14-1.centos6.i686
sope49-debuginfo-4.9-20120323_1664.el6.1.i686
sope49-mime-4.9-20120323_1664.el6.1.i686
sope49-cards-1.3.14-1.centos6.i686
sope49-gdl1-4.9-20120323_1664.el6.1.i686
sope49-appserver-4.9-20120323_1664.el6.1.i686
sope49-sbjson-2.3.1-20120323_1664.el6.1.i686
[user@gw ~]$ rpm -qa | grep gnustep
gnustep-make-debuginfo-2.6.1-1.i686
gnustep-make-2.6.1-1.i686
gnustep-base-1.23.0-1.i686
gnustep-base-debuginfo-1.23.0-1.i686

pepelton

pepelton

2012-04-12 17:46

reporter   ~0003727

I seem to have a similar issue with recurring events (imported from Outlook 2010, which most likely has received some events from a Nokia Symbian phone) which I reported a few hours ago:
http://www.sogo.nu/bugs/view.php?id=1772

I just tried importing the export.ics attached to this issue and I can confirm that my SOGo 1.3.12c crashses also after importing the ics file and reloading the calendar. This is what I see in my sogod.log:

<snip>
[13/Apr/2012:00:40:56 GMT] "POST /SOGo/so/testeri2@mydomain.com/Calendar/weekview?day=20120413 HTTP/1.1" 200 1930/0 0.012 22311 91% 76K
stack smashing detected : /usr/sbin/sogod terminated
======= Backtrace: =========
/lib/i686/nosegneg/libc.so.6(__fortify_fail+0x4d)[0x62b62d]
/lib/i686/nosegneg/libc.so.6[0x62b5da]
/usr/lib/libNGCards.so.4.9[0x67b8824]
/usr/lib/libNGCards.so.4.9[0x67aaf1d]
/usr/lib/libNGCards.so.4.9[0x67b3e89]
/usr/lib/libNGCards.so.4.9[0x67ae38d]
</snip>

michal_b

michal_b

2012-04-12 17:54

reporter   ~0003728

pepelton: thanks! I am happy that I am not the only person with same issue. :)
yes... and when I try to delete that record (i.e. via CalDAV from Thunderbird) sogo crashing disappear and everything is back in normal.

ludovic

ludovic

2012-04-17 11:12

administrator   ~0003758

Please update to a nightly build and test it. We pushed a fix yesterday that might also fix the issue you have.

michal_b

michal_b

2012-04-18 16:18

reporter   ~0003771

solved! thank you! importing example.ics does not going to sogo crashing anymore! :)

michal_b

michal_b

2012-04-18 16:19

reporter   ~0003773

...of course with updating to nightly build :) (today from sogo rhel nightly repo)

Issue History

Date Modified Username Field Change
2012-04-09 06:50 michal_b New Issue
2012-04-09 06:50 michal_b File Added: sogo.log
2012-04-09 10:40 ludovic Note Added: 0003694
2012-04-09 10:48 michal_b Note Added: 0003695
2012-04-09 10:48 michal_b File Added: example.ics
2012-04-09 10:51 ludovic Note Added: 0003696
2012-04-09 18:15 michal_b Note Added: 0003697
2012-04-09 18:28 michal_b File Added: sogo-debug.log
2012-04-09 18:29 michal_b Note Added: 0003698
2012-04-10 08:32 ludovic Note Added: 0003703
2012-04-10 08:37 michal_b Note Added: 0003704
2012-04-12 17:46 pepelton Note Added: 0003727
2012-04-12 17:54 michal_b Note Added: 0003728
2012-04-17 11:12 ludovic Relationship added related to 0001772
2012-04-17 11:12 ludovic Note Added: 0003758
2012-04-18 16:18 michal_b Note Added: 0003771
2012-04-18 16:19 michal_b Note Added: 0003773
2012-04-18 16:20 ludovic Status new => resolved
2012-04-18 16:20 ludovic Fixed in Version => 1.3.15
2012-04-18 16:20 ludovic Resolution open => fixed
2012-04-18 16:20 ludovic Assigned To => ludovic
2012-04-18 16:20 ludovic Status resolved => closed